import React from 'react';
interface A11yCommonProps {
    role: 'button' | 'togglebutton' | 'link' | 'content' | 'image';
    children: React.ReactNode;
    description: string;
    tabIndex?: number;
    showAltText?: boolean;
    focusCall?: (...args: any[]) => any;
    debug?: boolean;
    a11yElStyle?: Object;
    hidden?: boolean;
    dragThreshold?: number;
}
declare type RoleProps = {
    role: 'content';
    activationMsg?: never;
    deactivationMsg?: never;
    actionCall?: never;
    href?: never;
    disabled?: never;
    startPressed?: never;
    tag?: 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
} | {
    role: 'button';
    activationMsg?: string;
    deactivationMsg?: never;
    actionCall?: () => any;
    href?: never;
    disabled?: boolean;
    startPressed?: never;
    tag?: never;
} | {
    role: 'togglebutton';
    activationMsg?: string;
    deactivationMsg?: string;
    actionCall?: () => any;
    href?: never;
    disabled?: boolean;
    startPressed?: boolean;
    tag?: never;
} | {
    role: 'link';
    activationMsg?: never;
    deactivationMsg?: never;
    actionCall: () => any;
    href: string;
    disabled?: never;
    startPressed?: never;
    tag?: never;
} | {
    role: 'image';
    activationMsg?: never;
    deactivationMsg?: never;
    actionCall?: never;
    href?: never;
    disabled?: never;
    startPressed?: never;
    tag?: never;
};
declare type Props = A11yCommonProps & RoleProps;
declare const useA11y: () => {
    focus: boolean;
    hover: boolean;
    pressed: boolean;
};
export { useA11y };
export declare const A11y: React.FC<Props>;
